Package weka.gui.knowledgeflow

# Class StepTreeLeafDetails

java.lang.Object
weka.gui.knowledgeflow.StepTreeLeafDetails

All Implemented Interfaces:
  `Serializable`

public class StepTreeLeafDetails extends Object implements Serializable
Maintains information about a step in the `StepTree` - e.g. tool tip text, wrapped algorithm name (in the case of a `WekaAlgorithmWrapper`.

Version:
  $Revision: $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StepTreeLeafDetails(Object step)`
  Constructor
  `StepTreeLeafDetails(Object step, boolean showTipText)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getToolTipText()`
  Get the tool tip for this leaf
  `StepVisual`
  `instantiateStep()`
  Instantiate the step at this leaf and return it wrapped in a StepVisual
  `boolean`
  `isWrappedAlgorithm()`
  Returns true if this leaf represents a wrapped Weka algorithm (i.e.
  `void`
  `setShowTipTexts(boolean show)`
  Set whether to show tip text or not
  `String`
  `toString()`
  Returns the leaf label

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StepTreeLeafDetails

    public StepTreeLeafDetails(Object step)
    Constructor
    Parameters:
      `step` - the step to wrap in this `StepTreeLeafDetails` instance

  - ### StepTreeLeafDetails

    public StepTreeLeafDetails(Object step, boolean showTipText)
    Constructor
    Parameters:
      `step` - the step to wrap in this `StepTreeLeafDetails` instance
      `showTipText` - true if the tool tip text should be shown for this instance

- ## Method Details

  - ### setShowTipTexts

    public void setShowTipTexts(boolean show)
    Set whether to show tip text or not
    Parameters:
      `show` - true to show tip text

  - ### getToolTipText

    public String getToolTipText()
    Get the tool tip for this leaf
    Returns:
      the tool tip

  - ### toString

    public String toString()
    Returns the leaf label
    Overrides:
      `toString` in class `Object`
    Returns:
      the leaf label

  - ### isWrappedAlgorithm

    public boolean isWrappedAlgorithm()
    Returns true if this leaf represents a wrapped Weka algorithm (i.e. filter, classifier, clusterer etc.).
    Returns:
      true if this leaf represents a wrapped algorithm

  - ### instantiateStep

    public StepVisual instantiateStep() throws Exception
    Instantiate the step at this leaf and return it wrapped in a StepVisual
    Returns:
      a StepVisual instance wrapping a copy of the step at this leaf
    Throws:
      `Exception` - if a problem occurs